<script lang="ts">
    import { categories } from "@/lib/stores";
    import type { Transaction } from "@/utils/types";
	import { Card, Dialog, Label } from "attractions";
    import { createEventDispatcher } from "svelte";

	export let transaction: Transaction | undefined;	

	const dispatch = createEventDispatcher<{click: Transaction}>();
	let category = $categories?.find(c => c.id === transaction?.category);
</script>

<div class="card-wrapper" on:click={() => dispatch("click", transaction)}>
	<Card>
		<div class="card-content">
			<div class="description">
				<div class="icon-container">
					<img class="icon" src={`data:image/jpeg;base64,${category?.icon}`} alt={category?.name}>
				</div>
				<Label>{transaction?.partner_account_name}</Label>
				<Label small>{category?.name}</Label>
			</div>
			<div class="price">
				<Label style={`color: ${transaction?.successful ? "inherit" : "red"}`}>{transaction?.amount} Ft</Label>
			</div>
		</div>
	</Card>
</div>

<style>
	.card-wrapper {
		width: 300px;
		cursor: pointer;
		transition: scale .2s;
	}
	.card-wrapper:hover {
		scale: 105%;
	}
	.card-content {
		display: flex;
		justify-content: space-between;
	}
	.price {
		display: flex;
		align-items: center;
		justify-content: flex-end;
	}
	.icon {
		width: 30px;
		object-fit: cover;
	}
</style>